Update Group
Update editable group field values. Add or remove group members and security profiles.
/api/{version}/objects/groups/{group_id}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{group_id} | The group id field value. |
Body Parameters
Section link for Body ParametersIn the body of the request, add any editable fields you wish to update.
| Name | Description |
|---|---|
label__voptional | Updates the label of the group. |
members__voptional | Add a comma-separated list of user IDs. This manually assigns individual users to the group. |
security_profiles__voptional | Add a comma-separated list of security profiles. |
active__voptional | To set the group to inactive, set this value to false. |
group_description__voptional | Updates the description of the group. |
allow_delegation_among_members__voptional | When set to true, members of this group will only be allowed to delegate access to other members of the same group. You can set this field for user and system managed groups. If omitted, defaults to false. Learn more about Delegate Access |
Request Details
Section link for Request DetailsYou may change the values of any editable group field. Changing the security_profiles__v will automatically replace all previous implied users assigned via the previous security profile.
Add or Remove Users
Section link for Add or Remove UsersTo add or remove group members, add a comma-separated list of user IDs in members__v. This replaces all previous users who were manually assigned. This action is not additive.
Alternatively, you can add or remove group members without replacing previous users in the following ways:
-
To add users, set the value of
members__vtoaddfollowed by a comma-separated list of user IDs enclosed in parenthesis. For exampleadd (userID1, userID2). This only adds the specified users to the group. -
To delete users, set the value of
members__vtodeletefollowed by a comma-separated list of user IDs enclosed in parenthesis. For exampledelete (userID1, userID2)This only removes the specified users from the group.
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "label__v=Cholecap Team" \
-d "members__v=45501,45502,45503,45004" \
https://myvault.veevavault.com/api/v25.2/objects/groups/1358979070034Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Group successfully updated.",
"id": 1358979070034
}